#ifndef UDGANATOMICALPLANE_H
#define UDGANATOMICALPLANE_H

class QString;

namespace udg {

class PatientOrientation;

/**
    Classe que encapsular les orientacions anatmiques del pacient
  */
class AnatomicalPlane {
public:
    /// Tipus d'orientacions anatmiques
    enum AnatomicalPlaneType { Axial, Sagittal, Coronal, Oblique, NotAvailable };

    /// Donada una orientaci anatmica, ens retorna la corresponent etiqueta per mostrar a l'interfcie
    static const QString getLabel(AnatomicalPlaneType orientation);

    /// Ens retorna l'etiqueta/tipus del pla anatmic que es correspon amb el PatientOrientation donat
    static const QString getLabelFromPatientOrientation(const PatientOrientation &orientation);
    static const AnatomicalPlaneType getPlaneTypeFromPatientOrientation(const PatientOrientation &orientation);

    /// Returns the default patient orientation for an specific anatomical plane
    static const PatientOrientation getDefaultRadiologicalOrienation(AnatomicalPlaneType plane);
};

} // End namespace udg

#endif
