#ifndef UDGFIREWALLACCESS_H
#define UDGFIREWALLACCESS_H

#include <QString>

namespace udg {

/**
    Interfcie per comprovar si starviewer t access a travs del firewall.
    El mtode \sa newInstance s l'encarregat de crear una instncia de les classes d'implementaci que es decideix
    segons el sistema operatiu, windows o altres. 
  */
class FirewallAccess {
public:
    enum FirewallStatus { FirewallIsAccessible, FirewallIsBlocking, FirewallError, FirewallUnknownStatus };

    virtual ~FirewallAccess();

    /// Crea una nova instncia d'alguna de les classes que implementa la interfcie
    static FirewallAccess* newInstance();

    virtual bool doesStarviewerHaveAccesThroughFirewall();

    QString getErrorString();
    FirewallStatus getStatus();

protected:
    /// Per instanciar nous objectes s'ha de fer s del mtode \sa newInstance
    FirewallAccess();

protected:
    /// Guarda l'estat del firewall
    FirewallStatus m_status;
    /// Si starviewer no t accs a travs del firewall, m_errorString guarda la causa
    QString m_errorString;
};

} // End namespace udg

#endif
