#ifndef UDG_SETTINGSACCESSLEVELFILEREADER_H
#define UDG_SETTINGSACCESSLEVELFILEREADER_H

#include "settings.h"

namespace udg {

/**
    Lector de fitxers .INI en els que es defineixen els nivells d'accs
    que li volem configurar als settings
  */
class SettingsAccessLevelFileReader {
public:
    SettingsAccessLevelFileReader();
    ~SettingsAccessLevelFileReader();

    /// Llegeix el fitxer amb les dades de nivell d'accs
    bool read(const QString &filePath);

    /// Ens retorna la ltima taula de nivells d'accs llegida
    QMap<QString, Settings::AccessLevel> getAccessLevelTable() const;

private:
    /// Taula de nivells d'accs
    QMap<QString, Settings::AccessLevel> m_accessLevelTable;
};

} // End namespace udg

#endif
